Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp đo độ dài bằng lệnh Di sau đó điền kết quả ra Text !!!

Các bài được khuyến nghị

hhhhgggg    30

Em cần 1 cái Lisp giả sử đo độ dài theo phương X ta đánh XX sau đó điền kết quả ra Text có sẵn. Và Phương Y cũng tương tự !!! Bác nào có thì Share cho em với !!! Thanks .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Em cần 1 cái Lisp giả sử đo độ dài theo phương X ta đánh XX sau đó điền kết quả ra Text có sẵn. Và Phương Y cũng tương tự !!! Bác nào có thì Share cho em với !!! Thanks .

Bạn sử dụng Code này thử xem :

 

(defun c:dkc()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1"\n Chon diem thu hai :"))

(setq kc (rtos(distance po1 po2) 2 0))

(setq ent (entget(car(entsel "\n Pick chon Text can xuat ket qua :"))))

(entmod(subst(cons 1 kc) (assoc 1 ent) ent))

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hhhhgggg    30
Bạn sử dụng Code này thử xem :

 

(defun c:dkc()

(setq po1 (getpoint "\n Chon diem thu nhat :"))

(setq po2 (getpoint po1"\n Chon diem thu hai :"))

(setq kc (rtos(distance po1 po2) 2 0))

(setq ent (entget(car(entsel "\n Pick chon Text can xuat ket qua :"))))

(entmod(subst(cons 1 kc) (assoc 1 ent) ent))

(princ)

)

Bác Tuệ à, Cái lisp đó chạy được nhưng mà nó luôn làm tròn số. ko để 1 chữ số nào sau dấu phẩy cả. Như thế thì ko chính xác. Bi jờ bác chỉnh giúp em để khi mình Pick vào Text thì sau dấu pẩy nó luôn luôn để 2 chữ số. Thanks !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Zuy782006    11
Bác Tuệ à, Cái lisp đó chạy được nhưng mà nó luôn làm tròn số. ko để 1 chữ số nào sau dấu phẩy cả. Như thế thì ko chính xác. Bi jờ bác chỉnh giúp em để khi mình Pick vào Text thì sau dấu pẩy nó luôn luôn để 2 chữ số. Thanks !

Bạn sửa dòng này

(setq kc (rtos(distance po1 po2) 2 0))

thành

(setq kc (rtos(distance po1 po2) 2 2))

là được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×